<ion-header>
  <ion-toolbar class="color-black">
    <ion-icon style="zoom:1.5" color="secondary" name="arrow-back" (click)="back()" slot="start"></ion-icon>
    <ion-title color="secondary">Edit Profile</ion-title>
    <ion-icon slot="end" size="large" color="secondary" name="home" routerLink="/tabs/tab1"></ion-icon>
  </ion-toolbar>
</ion-header>

<ion-content class="profile">
  <ion-card no-margin>
    <ion-card-content class="bg-profile">
      <img [src]="environment.profileImageUrl+userData.profileimage">
      <h1 class="fw500">{{userData.firstname}} {{userData.lastname}}</h1>
      <ion-button icon-left color="secondary" (click)='uploadPhoto()'>
        <ion-icon name="photos"></ion-icon>
        Edit / Add Avatar
      </ion-button>
    </ion-card-content>
    <ion-grid fixed no-padding>
      <ion-row>
        <ion-col size="12" padding>

          <ion-list margin-bottom>
            <form [formGroup]="onEditProfile" class="form">
              <ion-list-header color="primary">
                <ion-label class="fw700">Form</ion-label>
              </ion-list-header>

              <ion-item>
                <ion-label color="primary" position="stacked">First Name:</ion-label>
                <ion-input inputmode="text" placeholder="First Name" formControlName="firstname"
                  value="{{userData.firstname}}"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('firstname').touched && onEditProfile.get('firstname').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Last Name:</ion-label>
                <ion-input inputmode="text" placeholder="Last Name" formControlName="lastname"
                  value="{{userData.lastname}}"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('lastname').touched && onEditProfile.get('lastname').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Phone:</ion-label>
                <ion-input inputmode="text" placeholder="Phone" value="{{userData.phone}}" formControlName="phone"
                  type="number"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('phone').touched && onEditProfile.get('phone').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Address:</ion-label>
                <ion-input inputmode="text" placeholder="Address" formControlName="address"
                  value="{{userData.address}}"></ion-input>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">City:</ion-label>
                <ion-input inputmode="text" placeholder="City" value="{{userData.city}}" formControlName="city"
                  type="text">
                </ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('city').touched && onEditProfile.get('city').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">State:</ion-label>
                <ion-input inputmode="text" placeholder="State" formControlName="state" type="text"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('state').touched && onEditProfile.get('state').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>


              <ion-item>
                <ion-label color="primary" position="stacked">Country:</ion-label>
                <ion-input inputmode="text" placeholder="Country" value="{{userData.country}}" formControlName="country"
                  type="text"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('country').touched && onEditProfile.get('country').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Zipcode:</ion-label>
                <ion-input inputmode="text" placeholder="Zipcode" value="{{userData.zipcode}}" formControlName="zipcode"
                  type="text"></ion-input>
                <p ion-text class="text08"
                  *ngIf="onEditProfile.get('zipcode').touched && onEditProfile.get('zipcode').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Email:</ion-label>
                <ion-input inputmode="email" placeholder="Email" value="{{userData.email}}" disabled></ion-input>
              </ion-item>

              <ion-item>
                <ion-label color="primary" position="stacked">Username:</ion-label>
                <ion-input inputmode="username" placeholder="Username" value="{{userData.username}}" disabled>
                </ion-input>
              </ion-item>

            </form>
          </ion-list>
          <div class="btn-div-update">
            <ion-button size="medium" shape="round" color="dark" [disabled]="!onEditProfile.valid"
              (click)="updateProfile()">
              Update</ion-button>
          </div>
          <ion-list class="margin-top">
            <form [formGroup]="onChangePassword" class="form">
              <ion-list-header color="primary">
                <ion-label class="fw700">Change Your Password</ion-label>
              </ion-list-header>

              <ion-item>
                <ion-label color="primary" position="stacked">New Password:</ion-label>
                <ion-input type="{{passwordType}}" formControlName="password"></ion-input>
                <!-- <ion-icon slot="end" color="dark" name="eye" (click)="showPassword(0)" *ngIf="!eye"></ion-icon>
                <ion-icon slot="end" color="dark" name="eye-off" (click)="hidePassword(0)" *ngIf="eye"></ion-icon> -->
                <p ion-text class="text08"
                  *ngIf="onChangePassword.get('password').touched && onChangePassword.get('password').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
                <p ion-text class="text08"
                  *ngIf="onChangePassword.get('password').touched && onChangePassword.get('password').hasError( 'minlength')">
                  <ion-text color="warning">
                    Password must be at least 6 characters
                  </ion-text>
                </p>
              </ion-item>
              <ion-item>
                <ion-label color="primary" position="stacked">Confirm Password:</ion-label>
                <ion-input type="{{c_passwordType}}" formControlName="confirm_password"></ion-input>
                <!-- <ion-icon slot="end" color="dark" name="eye" (click)="showPassword(1)" *ngIf="!c_eye"></ion-icon>
                <ion-icon slot="end" color="dark" name="eye-off" (click)="hidePassword(1)" *ngIf="c_eye"></ion-icon> -->
                <p ion-text class="text08"
                  *ngIf="onChangePassword.get('confirm_password').touched && onChangePassword.get('confirm_password').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                </p>
                <p ion-text class="text08"
                  *ngIf="onChangePassword.get('confirm_password').touched && onChangePassword.get('confirm_password').hasError( 'mustMatch')">
                  <ion-text color="warning">
                    Passwords Must Match
                  </ion-text>
                </p>

              </ion-item>
            </form>
          </ion-list>
          <ion-button size="medium" shape="round" color="dark" (click)="updatePassword()"
            [disabled]="!onChangePassword.valid">Save</ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>
</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>